{{ define "content" }}

<div class="row">
	<div class="col-12">
		<h1 class="float-left">
    	{{ index .Translation "Bets"}}
		</h1>
		<table class="table table-hover">
			<thead>
				<tr>
				<th class="table-dark bg-primary" scope="col" style="width: 6%;">#</th>
				<th class="table-dark bg-primary" scope="col">{{ index .Translation "Pseud" }}</th>
				<th class="table-dark bg-primary" scope="col">{{ index .Translation "Status" }}</th>
				<th class="table-dark bg-primary text-right" scope="col">{{ index .Translation "CorrectAnswers" }}</th>
				<th class="table-dark bg-primary text-right" scope="col">{{ index .Translation "Points" }}</th>
				<th class="table-dark bg-primary text-right" scope="col">{{ index .Translation "Rank" }}</th>
				</tr>
			</thead>
			<tbody>
				{{ range $key, $value := .Data }}
				<tr>
				<td>{{ add $key 1 }}</td>
				<th scope="row"><a href='bets/{{ $value.Id }}'>{{ $value.Pseudonym }}</a></th>
				<td>{{ betStatus $value.Approved $value.Discarded }}</td>
				<td class="text-right">{{ $value.CorrectAnswers }}</td>
				<td class="text-right">{{ $value.Points }}</td>
				<td class="text-right">
					{{ if gt $value.Rank 0 }}
					{{ $value.Rank }}
					{{ end }}
				</td>
				</tr>
				{{ end }}
			</tbody>
		</table> 
	</div>
</div>

{{ end }}